#
#	File:		USBKeypad.make
#
#	Contains:	Make file for Keyboard HID Module
#
#	Version:	xxx put version here xxx
#
#	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.
#
MAKEFILE     = USBKeypad.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i {USBInterfacesInternal},{USBInterfacesExternal}
SymPPC      = -sym on 
USBKeypadTarget	= {USBTargets}Drivers:USBHIDMacAllyTenKey

PPCCOptions  = {Includes} {SymPPC} {NeptuneCOptions}

LinkPPC		=	PPCLink

ObjectsPPC	=	"{USBObjects}USBKeypad.c.o"					
				"{USBObjects}USBKeypadHeader.c.o" 			
				"{USBObjects}USBKeypadKeyIn.c.o" 				

USBKeypad  "{USBReleaseExtensions}USBHIDMacAllyTenKey"  

"{USBReleaseExtensions}USBHIDMacAllyTenKey"   "{USBKeypadTarget}" 
		duplicate -y "{USBKeypadTarget}"  {Targ}
		
{USBKeypadTarget}		{MondoBuild}  {ObjectsPPC}		
				"{USBInterfacesInternal}USBClassDriver.exp"
	delete -i "{Targ}.xcoff"
	delete -i "{Targ}.dbg"
	{LinkPPC}													
		-map "{USBMapDir}USBHIDMacAllyTenKey.map"				
		-t 'ndrv'												
		-c 'usbd'												
		-o {USBKeypadTarget} {SymPPC} 						
		{ObjectsPPC} 											
		-xm sharedlibrary										
		-share context											
		-@export "{USBInterfacesInternal}USBClassDriver.exp"	
		"{USBLibraries}USBServicesLib" 							
		"{SharedLibraries}InterfaceLib" 					


{USBKeypadTarget}		"{USBInterfacesInternal}PackageVersion.h"	
						"USBKeypadVersion.h"				
						"USBKeypad.r"						
						{MondoBuild}
	Rez															
		-i "{USBInterfacesInternal}"							
		-i "{RIncludes}"										
		"{RIncludes}Types.r"									
		"USBKeypad.r"										
		-a														
		-o {Targ}
		
"{USBObjects}USBKeypadHeader.c.o"		"USBKeypadHeader.c"						
											"{USBInterfacesExternal}USB.h"				
											"{USBInterfacesInternal}PackageVersion.h"	
											"USBKeypadVersion.h"					
											"USBKeypad.h"
	{PPCC} USBKeypadHeader.c -o {Targ} {PPCCOptions}

"{USBObjects}USBKeypad.c.o"		"USBKeypad.c"									
										"{USBInterfacesExternal}USB.h"					
										"USBKeypad.h"
	{PPCC} USBKeypad.c -o {Targ} {PPCCOptions}

"{USBObjects}USBKeypadKeyIn.c.o"		"USBKeypadKeyIn.c"
	{PPCC} USBKeypadKeyIn.c -o {Targ} {PPCCOptions}

Clean 
	Delete -i {ObjectsPPC}
	Delete -i {USBKeypadTarget} 
	Delete -i "{USBReleaseExtensions}USBHIDMacAllyTenKey"